# Softcheck

Softcheck is a search of thousands of international data sources for identification of potential illegal behavior, criminal activity, incidents of fraud, regulatory violations and negative media information. This service also includes searches of country sanction lists, exposed persons lists, sex offender registries, terrorist registries and most wanted lists from around the globe.

### Availability

This check is available in **Canada** :flag\_ca:

This check is available for a [**quickscreen**](/api/faq.md#what-is-a-quickscreen-and-how-do-i-use-it) :white\_check\_mark:&#x20;

{% tabs %}
{% tab title="Canada" %}

| Industry            | Availability | Endpoints                                                                                                                                                                                                                                                                                                                          |
| ------------------- | ------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Human Resources     | Yes          | <ul><li><a href="/pages/-MbrCkyOdi6Adm9PH1HY#screen-an-applicant-instantly">Quickscreen</a> <span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></li><li><a href="/pages/-MbrCkyOdi6Adm9PH1HY#invite-an-applicant">Invite</a> <span data-gb-custom-inline data-tag="emoji" data-code="1f4e9">📩</span></li></ul> |
| Property Management | Yes          | <ul><li><a href="/pages/-Mb83vFKzR1AeH-VfJKp#screen-an-applicant-instantly">Quickscreen</a> <span data-gb-custom-inline data-tag="emoji" data-code="2705">✅</span></li><li><a href="/pages/-Mb83vFKzR1AeH-VfJKp#invite-an-applicant">Invite</a> <span data-gb-custom-inline data-tag="emoji" data-code="1f4e9">📩</span></li></ul> |

{% endtab %}
{% endtabs %}

### Parameters

#### Request flag

Include this flag in the body of your request:

[`request_softcheck`](/api/api-reference/resources/application-parameters/request-flags.md)&#x20;

#### Invite parameters

To invite an applicant to complete a screen, include this parameter in the body of your request:

* `email`

See all available [Application parameters](/api/api-reference/resources/application-parameters.md)

#### Quickscreen parameters

To complete a quickscreen, include these parameters in the body of your request:

* [`information`](/api/api-reference/resources/application-parameters.md#information)
  * `first_name`&#x20;
  * `last_name`&#x20;
  * [`addresses`](/api/api-reference/resources/application-parameters.md#address) (min 1)
* [`position_or_property_location`](/api/api-reference/resources/application-parameters.md#specialization)

{% hint style="warning" %}
Make sure to obtain the [proof of consent](/api/guides/use-the-api/consent.md) from your applicant **before** running the quickscreen.
{% endhint %}

#### Example request <a href="#example" id="example"></a>

```json
{
    "request_softcheck": true,
    "information": {
        "first_name": "Andrew",
        "last_name": "McLeod",
        "addresses": [{
                "address": "1006 Fort St Unit 300",
                "city": "Victoria",
                "province_state": "BC",
                "country": "CA",
                "current": true
            }
        ],
    },
    "position_or_property_location": {
        "address": "2680 Blanshard St Unit 3",
        "city": "Victoria",
        "province_state": "BC",
        "country": "CA",
        "postal_code": "V8T5E1",
        "location_type": "Position Location"
    }
}
```

### Report

Report field: [`risk_result`](/api/api-reference/resources/report-field-mappings.md#softcheck)

### Test data <a href="#static-sandbox-server-responses" id="static-sandbox-server-responses"></a>

Send Softcheck requests with the following data on our [demo environment](/api/start/demo-account.md) to retrieve our pre-filled reports.

<table><thead><tr><th width="181">First name</th><th>Last name</th><th>Address</th><th width="133">Result</th></tr></thead><tbody><tr><td>Andrew</td><td>McLeod</td><td>Canadian</td><td>Random</td></tr><tr><td>Sebastien</td><td>Normandin</td><td>Canadian</td><td>Random</td></tr></tbody></table>

{% hint style="info" %}
When requesting a pre-filled report via Softcheck, you only need to enter the First Name and Last Name. Leave the other fields blank or add placeholder data.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.certn.co/api/guides/checks/softcheck.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
